package com.bankaudit.dto.process;

import java.util.Date;

import javax.persistence.Column;

public class ReportMISDto {
	
	private Integer legalEntityCode;
	private String auditTypeCode;	 
	private String auditTypeCode2;
	private String auditTypeCode3;
	private String planId; 
	private String auditId;
	private String leadId;
	private String membersId;	
	
	private String reportReviewer;	
	private String reportReviewerAll;	
	private String finalisingOfficer;
	private String finalisingOfficerDesignation;
	
	private String leadScrutinizer;	
	private String leadScrutinizerDesignation;	
	 
	private String reviewer;	/*Assigned Scrutinizer*/
	private String reviewerDesignation; /*Assigned Scrutinizer Designation */
	private Date reviewAssignedDate;    /*Assigned date to Scrutinizer */
	
	private String unitCode;
	private String unitName; 
	private String parentUnitCode;
	private String parentUnitName; 
	private String zoneCode;
	private String zoneName;
	 
	private String auditStatus; 
	private String observationStatus; 
	private String reportStatus;
	private String respondStatus; 
	private String reviewStatus;
	 
	private Date referenceYear1;
	private Date referenceYear2;
	private Date referenceYear3; 
	
	private Date financialYear;
	private Date actualStartDate; 
	private Date actualEndDate;
	private Date irFinalisationDate;
	private Date reportDispatchDate;
	private Date respondedDate;
	private Date reviewedDate;	
	private Date irSubmissionDate;  		/*Ready for Report Review date  - RRR*/
	private Date reportReviewerStartDate;   /*Report Review initiation date - RI */	
	private Date complianceDueDate;   
	private Date reviewCompletionDate;  /*Scrutiny closure Date*/
	
	private String observationCount;
	private String acceptedCountOnScrutinySubmit;
	private String furtherComplianceCountOnScrutinySubmit;
	private String carryForwardCountOnScrutinySubmit;	
	private String acceptedCountAsOn;
	private String furtherComplianceCountAsOn;
	private String carryForwardCountAsOn;
	private String pendingWithBank;
	private String pendingWithScrutinizer;
	
	private String compliedChecklistCount;
	private String nonCompliedChecklistCount;	
	private String nonCompliedMajorChecklistCount;
	private String nonCompliedMinorChecklistCount;
	private String naChecklistCount;
	private String nonCompliedPersistenceChecklistCount;
	   
	private Date directiveLetterFinlDate;
	private Date forwardingLetterFinlDate;  	
	private Date recommendaryNoteFinlDate;
	
	private Date compositeRatingFinlDate;	
	private Date roSupervisoryRatingFinlDate;
	private Date hoSupervisoryRatingFinlDate; 
	
	private Date roGradingFinlDate; 
	private Date roGradingComplianceDate; 
	private Date hoGradingFinlDate; 
	private Date hoGradingComplianceDate;
	 	
	private String suprRatingType;
	private String suprRatingStatus;
	private String suprRatingReviewer; //  supervisory rating finalizing officer
	private String suprRatingCapitalAdequacyScore;
	private String suprRatingAssetQualityScore;	
	private String suprRatingManagementScore;	
	private String suprRatingEarningsScore;	
	private String suprRatingLiquidityScore;	
	private String suprRatingSystemsScore;	
	private String suprRatingComplianceScore;	
	private String suprRatingManagementScoreOverlay;	
	private String suprRatingMarks;
	private String suprRatingCategory;
	private String suprRatingMarksAfterDeflators;
	private String suprRatingCategoryAfterDeflators;
	private String suprRatingFinalisingOfficer;
	private String suprRatingFinalisingOfficerDesignation;
	private Date suprRatingFinalisationDate;
		
	private String suprRatingMarks1;
	private String suprRatingMarks2;
	private String suprRatingMarks3;
	private String suprRatingCategory1;
	private String suprRatingCategory2;
	private String suprRatingCategory3;
	
	private String letterName; 
	private String letterStatus; 
	private String letterReviewer;
	private String letterReviewerDesignation;
	private String letterCategory; 
	private Date letterFinalisationDate; 
	  
	private String gradedBy; 
	private String gradingStatus;
	private Date gradingQSNInitDate;
	private String gradingQSNMaker;
	private String gradingQSNMakerDesignation;
	private Date gradingQSNFinalisationDate;
	private String gradingQSNChecker;
	private String gradingQSNCheckerDesignation;
	private String gradingMarks; 
	private String gradingCategory;
	private String totalQSO;
	private Date gradingComplianceFinalisationDate;
	private String gradingComplianceChecker;
	private String gradingComplianceCheckerDesignation;
		 
	private String complianceRatingType;
	private String complianceRatingChecker;
	private Date complianceRatingFinalisationDate;
	private String complianceRatingCheckerDesignation;
	private String complianceRatingMaximumMarks;
	private String complianceRatingMarksObtained;
	private String complianceRatingMarks1;
	private String complianceRatingMarks2;
	private String complianceRatingMarks3;
	private String complianceRatingCategory1;
	private String complianceRatingCategory2;
	private String complianceRatingCategory3;
		 	
 
	public String getComplianceRatingChecker() {
		return complianceRatingChecker;
	}
	public void setComplianceRatingChecker(String complianceRatingChecker) {
		this.complianceRatingChecker = complianceRatingChecker;
	}
	public Date getComplianceRatingFinalisationDate() {
		return complianceRatingFinalisationDate;
	}
	public void setComplianceRatingFinalisationDate(Date complianceRatingFinalisationDate) {
		this.complianceRatingFinalisationDate = complianceRatingFinalisationDate;
	}
	public String getComplianceRatingCheckerDesignation() {
		return complianceRatingCheckerDesignation;
	}
	public void setComplianceRatingCheckerDesignation(String complianceRatingCheckerDesignation) {
		this.complianceRatingCheckerDesignation = complianceRatingCheckerDesignation;
	}
	public String getComplianceRatingMaximumMarks() {
		return complianceRatingMaximumMarks;
	}
	public void setComplianceRatingMaximumMarks(String complianceRatingMaximumMarks) {
		this.complianceRatingMaximumMarks = complianceRatingMaximumMarks;
	}
	public String getComplianceRatingMarksObtained() {
		return complianceRatingMarksObtained;
	}
	public void setComplianceRatingMarksObtained(String complianceRatingMarksObtained) {
		this.complianceRatingMarksObtained = complianceRatingMarksObtained;
	}
	public String getLetterName() {
		return letterName;
	}
	public void setLetterName(String letterName) {
		this.letterName = letterName;
	}
	public String getLetterStatus() {
		return letterStatus;
	}
	public void setLetterStatus(String letterStatus) {
		this.letterStatus = letterStatus;
	}
	public String getLetterReviewer() {
		return letterReviewer;
	}
	public void setLetterReviewer(String letterReviewer) {
		this.letterReviewer = letterReviewer;
	}
	 
	public String getLetterReviewerDesignation() {
		return letterReviewerDesignation;
	}
	public void setLetterReviewerDesignation(String letterReviewerDesignation) {
		this.letterReviewerDesignation = letterReviewerDesignation;
	}
	public String getLetterCategory() {
		return letterCategory;
	}
	public void setLetterCategory(String letterCategory) {
		this.letterCategory = letterCategory;
	}
	public Date getLetterFinalisationDate() {
		return letterFinalisationDate;
	}
	public void setLetterFinalisationDate(Date letterFinalisationDate) {
		this.letterFinalisationDate = letterFinalisationDate;
	}
	public String getSuprRatingType() {
		return suprRatingType;
	}
	public void setSuprRatingType(String suprRatingType) {
		this.suprRatingType = suprRatingType;
	}
	public String getSuprRatingStatus() {
		return suprRatingStatus;
	}
	public void setSuprRatingStatus(String suprRatingStatus) {
		this.suprRatingStatus = suprRatingStatus;
	}
	public String getSuprRatingReviewer() {
		return suprRatingReviewer;
	}
	public void setSuprRatingReviewer(String suprRatingReviewer) {
		this.suprRatingReviewer = suprRatingReviewer;
	}
	public String getSuprRatingCapitalAdequacyScore() {
		return suprRatingCapitalAdequacyScore;
	}
	public void setSuprRatingCapitalAdequacyScore(String suprRatingCapitalAdequacyScore) {
		this.suprRatingCapitalAdequacyScore = suprRatingCapitalAdequacyScore;
	}
	public String getSuprRatingAssetQualityScore() {
		return suprRatingAssetQualityScore;
	}
	public void setSuprRatingAssetQualityScore(String suprRatingAssetQualityScore) {
		this.suprRatingAssetQualityScore = suprRatingAssetQualityScore;
	}
	public String getSuprRatingManagementScore() {
		return suprRatingManagementScore;
	}
	public void setSuprRatingManagementScore(String suprRatingManagementScore) {
		this.suprRatingManagementScore = suprRatingManagementScore;
	}
	public String getSuprRatingEarningsScore() {
		return suprRatingEarningsScore;
	}
	public void setSuprRatingEarningsScore(String suprRatingEarningsScore) {
		this.suprRatingEarningsScore = suprRatingEarningsScore;
	}
	public String getSuprRatingLiquidityScore() {
		return suprRatingLiquidityScore;
	}
	public void setSuprRatingLiquidityScore(String suprRatingLiquidityScore) {
		this.suprRatingLiquidityScore = suprRatingLiquidityScore;
	}
	public String getSuprRatingSystemsScore() {
		return suprRatingSystemsScore;
	}
	public void setSuprRatingSystemsScore(String suprRatingSystemsScore) {
		this.suprRatingSystemsScore = suprRatingSystemsScore;
	}
	public String getSuprRatingComplianceScore() {
		return suprRatingComplianceScore;
	}
	public void setSuprRatingComplianceScore(String suprRatingComplianceScore) {
		this.suprRatingComplianceScore = suprRatingComplianceScore;
	}
	public String getSuprRatingManagementScoreOverlay() {
		return suprRatingManagementScoreOverlay;
	}
	public void setSuprRatingManagementScoreOverlay(String suprRatingManagementScoreOverlay) {
		this.suprRatingManagementScoreOverlay = suprRatingManagementScoreOverlay;
	}
	public String getSuprRatingMarks() {
		return suprRatingMarks;
	}
	public void setSuprRatingMarks(String suprRatingMarks) {
		this.suprRatingMarks = suprRatingMarks;
	}
	public String getSuprRatingCategory() {
		return suprRatingCategory;
	}
	public void setSuprRatingCategory(String suprRatingCategory) {
		this.suprRatingCategory = suprRatingCategory;
	}
	public String getSuprRatingMarksAfterDeflators() {
		return suprRatingMarksAfterDeflators;
	}
	public void setSuprRatingMarksAfterDeflators(String suprRatingMarksAfterDeflators) {
		this.suprRatingMarksAfterDeflators = suprRatingMarksAfterDeflators;
	}
	public String getSuprRatingCategoryAfterDeflators() {
		return suprRatingCategoryAfterDeflators;
	}
	public void setSuprRatingCategoryAfterDeflators(String suprRatingCategoryAfterDeflators) {
		this.suprRatingCategoryAfterDeflators = suprRatingCategoryAfterDeflators;
	}
	public String getSuprRatingFinalisingOfficer() {
		return suprRatingFinalisingOfficer;
	}
	public void setSuprRatingFinalisingOfficer(String suprRatingFinalisingOfficer) {
		this.suprRatingFinalisingOfficer = suprRatingFinalisingOfficer;
	}
	public String getSuprRatingFinalisingOfficerDesignation() {
		return suprRatingFinalisingOfficerDesignation;
	}
	public void setSuprRatingFinalisingOfficerDesignation(String suprRatingFinalisingOfficerDesignation) {
		this.suprRatingFinalisingOfficerDesignation = suprRatingFinalisingOfficerDesignation;
	}
	public Date getSuprRatingFinalisationDate() {
		return suprRatingFinalisationDate;
	}
	public void setSuprRatingFinalisationDate(Date suprRatingFinalisationDate) {
		this.suprRatingFinalisationDate = suprRatingFinalisationDate;
	}
	public String getObservationCount() {
		return observationCount;
	}
	public void setObservationCount(String observationCount) {
		this.observationCount = observationCount;
	}
	public String getAcceptedCountOnScrutinySubmit() {
		return acceptedCountOnScrutinySubmit;
	}
	public void setAcceptedCountOnScrutinySubmit(String acceptedCountOnScrutinySubmit) {
		this.acceptedCountOnScrutinySubmit = acceptedCountOnScrutinySubmit;
	}
	public String getFurtherComplianceCountOnScrutinySubmit() {
		return furtherComplianceCountOnScrutinySubmit;
	}
	public void setFurtherComplianceCountOnScrutinySubmit(String furtherComplianceCountOnScrutinySubmit) {
		this.furtherComplianceCountOnScrutinySubmit = furtherComplianceCountOnScrutinySubmit;
	}
	public String getCarryForwardCountOnScrutinySubmit() {
		return carryForwardCountOnScrutinySubmit;
	}
	public void setCarryForwardCountOnScrutinySubmit(String carryForwardCountOnScrutinySubmit) {
		this.carryForwardCountOnScrutinySubmit = carryForwardCountOnScrutinySubmit;
	}
	public String getAcceptedCountAsOn() {
		return acceptedCountAsOn;
	}
	public void setAcceptedCountAsOn(String acceptedCountAsOn) {
		this.acceptedCountAsOn = acceptedCountAsOn;
	}
	public String getFurtherComplianceCountAsOn() {
		return furtherComplianceCountAsOn;
	}
	public void setFurtherComplianceCountAsOn(String furtherComplianceCountAsOn) {
		this.furtherComplianceCountAsOn = furtherComplianceCountAsOn;
	}
	public String getCarryForwardCountAsOn() {
		return carryForwardCountAsOn;
	}
	public void setCarryForwardCountAsOn(String carryForwardCountAsOn) {
		this.carryForwardCountAsOn = carryForwardCountAsOn;
	}
	public String getPendingWithBank() {
		return pendingWithBank;
	}
	public void setPendingWithBank(String pendingWithBank) {
		this.pendingWithBank = pendingWithBank;
	}
	 
	public String getPendingWithScrutinizer() {
		return pendingWithScrutinizer;
	}
	public void setPendingWithScrutinizer(String pendingWithScrutinizer) {
		this.pendingWithScrutinizer = pendingWithScrutinizer;
	}
	public String getLeadScrutinizer() {
		return leadScrutinizer;
	}
	public void setLeadScrutinizer(String leadScrutinizer) {
		this.leadScrutinizer = leadScrutinizer;
	}
	public String getLeadScrutinizerDesignation() {
		return leadScrutinizerDesignation;
	}
	public void setLeadScrutinizerDesignation(String leadScrutinizerDesignation) {
		this.leadScrutinizerDesignation = leadScrutinizerDesignation;
	}
	public String getReviewer() {
		return reviewer;
	}
	public void setReviewer(String reviewer) {
		this.reviewer = reviewer;
	}
	public String getReviewerDesignation() {
		return reviewerDesignation;
	}
	public void setReviewerDesignation(String reviewerDesignation) {
		this.reviewerDesignation = reviewerDesignation;
	}
	public Date getReviewAssignedDate() {
		return reviewAssignedDate;
	}
	public void setReviewAssignedDate(Date reviewAssignedDate) {
		this.reviewAssignedDate = reviewAssignedDate;
	}
	public Date getComplianceDueDate() {
		return complianceDueDate;
	}
	public void setComplianceDueDate(Date complianceDueDate) {
		this.complianceDueDate = complianceDueDate;
	}
	public String getCompliedChecklistCount() {
		return compliedChecklistCount;
	}
	public void setCompliedChecklistCount(String compliedChecklistCount) {
		this.compliedChecklistCount = compliedChecklistCount;
	}
	public String getNonCompliedChecklistCount() {
		return nonCompliedChecklistCount;
	}
	public void setNonCompliedChecklistCount(String nonCompliedChecklistCount) {
		this.nonCompliedChecklistCount = nonCompliedChecklistCount;
	}
	public String getNonCompliedMajorChecklistCount() {
		return nonCompliedMajorChecklistCount;
	}
	public void setNonCompliedMajorChecklistCount(String nonCompliedMajorChecklistCount) {
		this.nonCompliedMajorChecklistCount = nonCompliedMajorChecklistCount;
	}
	public String getNonCompliedMinorChecklistCount() {
		return nonCompliedMinorChecklistCount;
	}
	public void setNonCompliedMinorChecklistCount(String nonCompliedMinorChecklistCount) {
		this.nonCompliedMinorChecklistCount = nonCompliedMinorChecklistCount;
	}
	public String getNaChecklistCount() {
		return naChecklistCount;
	}
	public void setNaChecklistCount(String naChecklistCount) {
		this.naChecklistCount = naChecklistCount;
	}
	public String getNonCompliedPersistenceChecklistCount() {
		return nonCompliedPersistenceChecklistCount;
	}
	public void setNonCompliedPersistenceChecklistCount(String nonCompliedPersistenceChecklistCount) {
		this.nonCompliedPersistenceChecklistCount = nonCompliedPersistenceChecklistCount;
	}
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getLeadId() {
		return leadId;
	}
	public void setLeadId(String leadId) {
		this.leadId = leadId;
	}
	public String getMembersId() {
		return membersId;
	}
	public void setMembersId(String membersId) {
		this.membersId = membersId;
	}	
	public String getReportReviewer() {
		return reportReviewer;
	}
	public void setReportReviewer(String reportReviewer) {
		this.reportReviewer = reportReviewer;
	}
	public String getReportReviewerAll() {
		return reportReviewerAll;
	}
	public void setReportReviewerAll(String reportReviewerAll) {
		this.reportReviewerAll = reportReviewerAll;
	} 	
	public String getFinalisingOfficer() {
		return finalisingOfficer;
	}
	public void setFinalisingOfficer(String finalisingOfficer) {
		this.finalisingOfficer = finalisingOfficer;
	}
	public String getFinalisingOfficerDesignation() {
		return finalisingOfficerDesignation;
	}
	public void setFinalisingOfficerDesignation(String finalisingOfficerDesignation) {
		this.finalisingOfficerDesignation = finalisingOfficerDesignation;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getParentUnitCode() {
		return parentUnitCode;
	}
	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}
	public String getParentUnitName() {
		return parentUnitName;
	}
	public void setParentUnitName(String parentUnitName) {
		this.parentUnitName = parentUnitName;
	}	
	public String getZoneCode() {
		return zoneCode;
	}
	public void setZoneCode(String zoneCode) {
		this.zoneCode = zoneCode;
	}
	public String getZoneName() {
		return zoneName;
	}
	public void setZoneName(String zoneName) {
		this.zoneName = zoneName;
	}	
	public String getAuditStatus() {
		return auditStatus;
	}
	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}
	public String getObservationStatus() {
		return observationStatus;
	}
	public void setObservationStatus(String observationStatus) {
		this.observationStatus = observationStatus;
	}
	public String getReportStatus() {
		return reportStatus;
	}
	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}
	public String getRespondStatus() {
		return respondStatus;
	}
	public void setRespondStatus(String respondStatus) {
		this.respondStatus = respondStatus;
	}
	public String getReviewStatus() {
		return reviewStatus;
	}
	public void setReviewStatus(String reviewStatus) {
		this.reviewStatus = reviewStatus;
	}
	public Date getActualStartDate() {
		return actualStartDate;
	}
	public void setActualStartDate(Date actualStartDate) {
		this.actualStartDate = actualStartDate;
	}
	public Date getActualEndDate() {
		return actualEndDate;
	}
	public void setActualEndDate(Date actualEndDate) {
		this.actualEndDate = actualEndDate;
	}
	public Date getIrFinalisationDate() {
		return irFinalisationDate;
	}
	public void setIrFinalisationDate(Date irFinalisationDate) {
		this.irFinalisationDate = irFinalisationDate;
	}
	public Date getReportDispatchDate() {
		return reportDispatchDate;
	}
	public void setReportDispatchDate(Date reportDispatchDate) {
		this.reportDispatchDate = reportDispatchDate;
	}
	public Date getRespondedDate() {
		return respondedDate;
	}
	public void setRespondedDate(Date respondedDate) {
		this.respondedDate = respondedDate;
	}
	public Date getReviewedDate() {
		return reviewedDate;
	}
	public void setReviewedDate(Date reviewedDate) {
		this.reviewedDate = reviewedDate;
	}
	
	
	
	public Date getFinancialYear() {
		return financialYear;
	}
	public void setFinancialYear(Date financialYear) {
		this.financialYear = financialYear;
	}
	public Date getIrSubmissionDate() {
		return irSubmissionDate;
	}
	public void setIrSubmissionDate(Date irSubmissionDate) {
		this.irSubmissionDate = irSubmissionDate;
	}
	public Date getReportReviewerStartDate() {
		return reportReviewerStartDate;
	}
	public void setReportReviewerStartDate(Date reportReviewerStartDate) {
		this.reportReviewerStartDate = reportReviewerStartDate;
	}
	public Date getDirectiveLetterFinlDate() {
		return directiveLetterFinlDate;
	}
	public void setDirectiveLetterFinlDate(Date directiveLetterFinlDate) {
		this.directiveLetterFinlDate = directiveLetterFinlDate;
	}
	public Date getForwardingLetterFinlDate() {
		return forwardingLetterFinlDate;
	}
	public void setForwardingLetterFinlDate(Date forwardingLetterFinlDate) {
		this.forwardingLetterFinlDate = forwardingLetterFinlDate;
	}	 
	public Date getRecommendaryNoteFinlDate() {
		return recommendaryNoteFinlDate;
	}
	public void setRecommendaryNoteFinlDate(Date recommendaryNoteFinlDate) {
		this.recommendaryNoteFinlDate = recommendaryNoteFinlDate;
	}
	public Date getCompositeRatingFinlDate() {
		return compositeRatingFinlDate;
	}
	public void setCompositeRatingFinlDate(Date compositeRatingFinlDate) {
		this.compositeRatingFinlDate = compositeRatingFinlDate;
	}
	public Date getRoSupervisoryRatingFinlDate() {
		return roSupervisoryRatingFinlDate;
	}
	public void setRoSupervisoryRatingFinlDate(Date roSupervisoryRatingFinlDate) {
		this.roSupervisoryRatingFinlDate = roSupervisoryRatingFinlDate;
	}
	public Date getHoSupervisoryRatingFinlDate() {
		return hoSupervisoryRatingFinlDate;
	}
	public void setHoSupervisoryRatingFinlDate(Date hoSupervisoryRatingFinlDate) {
		this.hoSupervisoryRatingFinlDate = hoSupervisoryRatingFinlDate;
	}
	public Date getRoGradingFinlDate() {
		return roGradingFinlDate;
	}
	public void setRoGradingFinlDate(Date roGradingFinlDate) {
		this.roGradingFinlDate = roGradingFinlDate;
	}
	public Date getRoGradingComplianceDate() {
		return roGradingComplianceDate;
	}
	public void setRoGradingComplianceDate(Date roGradingComplianceDate) {
		this.roGradingComplianceDate = roGradingComplianceDate;
	}
	public Date getHoGradingFinlDate() {
		return hoGradingFinlDate;
	}
	public void setHoGradingFinlDate(Date hoGradingFinlDate) {
		this.hoGradingFinlDate = hoGradingFinlDate;
	}
	public Date getHoGradingComplianceDate() {
		return hoGradingComplianceDate;
	}
	public void setHoGradingComplianceDate(Date hoGradingComplianceDate) {
		this.hoGradingComplianceDate = hoGradingComplianceDate;
	}
	public Date getReviewCompletionDate() {
		return reviewCompletionDate;
	}
	public void setReviewCompletionDate(Date reviewCompletionDate) {
		this.reviewCompletionDate = reviewCompletionDate;
	}
	public String getGradedBy() {
		return gradedBy;
	}
	public void setGradedBy(String gradedBy) {
		this.gradedBy = gradedBy;
	}	 
	public String getGradingStatus() {
		return gradingStatus;
	}
	public void setGradingStatus(String gradingStatus) {
		this.gradingStatus = gradingStatus;
	}
	public Date getGradingQSNInitDate() {
		return gradingQSNInitDate;
	}
	public void setGradingQSNInitDate(Date gradingQSNInitDate) {
		this.gradingQSNInitDate = gradingQSNInitDate;
	}
	public String getGradingQSNMaker() {
		return gradingQSNMaker;
	}
	public void setGradingQSNMaker(String gradingQSNMaker) {
		this.gradingQSNMaker = gradingQSNMaker;
	}
	public String getGradingQSNMakerDesignation() {
		return gradingQSNMakerDesignation;
	}
	public void setGradingQSNMakerDesignation(String gradingQSNMakerDesignation) {
		this.gradingQSNMakerDesignation = gradingQSNMakerDesignation;
	}
	public Date getGradingQSNFinalisationDate() {
		return gradingQSNFinalisationDate;
	}
	public void setGradingQSNFinalisationDate(Date gradingQSNFinalisationDate) {
		this.gradingQSNFinalisationDate = gradingQSNFinalisationDate;
	}
	public String getGradingQSNChecker() {
		return gradingQSNChecker;
	}
	public void setGradingQSNChecker(String gradingQSNChecker) {
		this.gradingQSNChecker = gradingQSNChecker;
	}
	public String getGradingQSNCheckerDesignation() {
		return gradingQSNCheckerDesignation;
	}
	public void setGradingQSNCheckerDesignation(String gradingQSNCheckerDesignation) {
		this.gradingQSNCheckerDesignation = gradingQSNCheckerDesignation;
	}
	public String getGradingMarks() {
		return gradingMarks;
	}
	public void setGradingMarks(String gradingMarks) {
		this.gradingMarks = gradingMarks;
	}
	public String getGradingCategory() {
		return gradingCategory;
	}
	public void setGradingCategory(String gradingCategory) {
		this.gradingCategory = gradingCategory;
	}
	public String getTotalQSO() {
		return totalQSO;
	}
	public void setTotalQSO(String totalQSO) {
		this.totalQSO = totalQSO;
	}
	public Date getGradingComplianceFinalisationDate() {
		return gradingComplianceFinalisationDate;
	}
	public void setGradingComplianceFinalisationDate(Date gradingComplianceFinalisationDate) {
		this.gradingComplianceFinalisationDate = gradingComplianceFinalisationDate;
	}
	public String getGradingComplianceChecker() {
		return gradingComplianceChecker;
	}
	public void setGradingComplianceChecker(String gradingComplianceChecker) {
		this.gradingComplianceChecker = gradingComplianceChecker;
	}
	public String getGradingComplianceCheckerDesignation() {
		return gradingComplianceCheckerDesignation;
	}
	public void setGradingComplianceCheckerDesignation(String gradingComplianceCheckerDesignation) {
		this.gradingComplianceCheckerDesignation = gradingComplianceCheckerDesignation;
	}
	public String getAuditTypeCode2() {
		return auditTypeCode2;
	}
	public void setAuditTypeCode2(String auditTypeCode2) {
		this.auditTypeCode2 = auditTypeCode2;
	}
	public String getAuditTypeCode3() {
		return auditTypeCode3;
	}
	public void setAuditTypeCode3(String auditTypeCode3) {
		this.auditTypeCode3 = auditTypeCode3;
	}
	 
	 
	public String getComplianceRatingType() {
		return complianceRatingType;
	}
	public void setComplianceRatingType(String complianceRatingType) {
		this.complianceRatingType = complianceRatingType;
	}
	public String getComplianceRatingMarks1() {
		return complianceRatingMarks1;
	}
	public void setComplianceRatingMarks1(String complianceRatingMarks1) {
		this.complianceRatingMarks1 = complianceRatingMarks1;
	}
	public String getComplianceRatingMarks2() {
		return complianceRatingMarks2;
	}
	public void setComplianceRatingMarks2(String complianceRatingMarks2) {
		this.complianceRatingMarks2 = complianceRatingMarks2;
	}
	public String getComplianceRatingMarks3() {
		return complianceRatingMarks3;
	}
	public void setComplianceRatingMarks3(String complianceRatingMarks3) {
		this.complianceRatingMarks3 = complianceRatingMarks3;
	}
	public String getComplianceRatingCategory1() {
		return complianceRatingCategory1;
	}
	public void setComplianceRatingCategory1(String complianceRatingCategory1) {
		this.complianceRatingCategory1 = complianceRatingCategory1;
	}
	public String getComplianceRatingCategory2() {
		return complianceRatingCategory2;
	}
	public void setComplianceRatingCategory2(String complianceRatingCategory2) {
		this.complianceRatingCategory2 = complianceRatingCategory2;
	}
	public String getComplianceRatingCategory3() {
		return complianceRatingCategory3;
	}
	public void setComplianceRatingCategory3(String complianceRatingCategory3) {
		this.complianceRatingCategory3 = complianceRatingCategory3;
	}
	public String getSuprRatingMarks1() {
		return suprRatingMarks1;
	}
	public void setSuprRatingMarks1(String suprRatingMarks1) {
		this.suprRatingMarks1 = suprRatingMarks1;
	}
	public String getSuprRatingMarks2() {
		return suprRatingMarks2;
	}
	public void setSuprRatingMarks2(String suprRatingMarks2) {
		this.suprRatingMarks2 = suprRatingMarks2;
	}
	public String getSuprRatingMarks3() {
		return suprRatingMarks3;
	}
	public void setSuprRatingMarks3(String suprRatingMarks3) {
		this.suprRatingMarks3 = suprRatingMarks3;
	}
	public String getSuprRatingCategory1() {
		return suprRatingCategory1;
	}
	public void setSuprRatingCategory1(String suprRatingCategory1) {
		this.suprRatingCategory1 = suprRatingCategory1;
	}
	public String getSuprRatingCategory2() {
		return suprRatingCategory2;
	}
	public void setSuprRatingCategory2(String suprRatingCategory2) {
		this.suprRatingCategory2 = suprRatingCategory2;
	}
	public String getSuprRatingCategory3() {
		return suprRatingCategory3;
	}
	public void setSuprRatingCategory3(String suprRatingCategory3) {
		this.suprRatingCategory3 = suprRatingCategory3;
	}
	public Date getReferenceYear1() {
		return referenceYear1;
	}
	public void setReferenceYear1(Date referenceYear1) {
		this.referenceYear1 = referenceYear1;
	}
	public Date getReferenceYear2() {
		return referenceYear2;
	}
	public void setReferenceYear2(Date referenceYear2) {
		this.referenceYear2 = referenceYear2;
	}
	public Date getReferenceYear3() {
		return referenceYear3;
	}
	public void setReferenceYear3(Date referenceYear3) {
		this.referenceYear3 = referenceYear3;
	}  
	
}
